Get my current personal profile

Retrieve the current user’s profile. Token scopes: worker:read, people:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful operation.
iddouble
Unique identifier for the user profile
emailstring
Email address of the user
user_iddouble
Unique identifier for the user
usernamestring
Username of the user
full_namestring
Full name of the user
last_namestring
Last name of the user
avatar_urlstring or null
URL of the user's avatar
first_namestring
First name of the user
middle_namestring or null
Middle name of the user
hris_enabledboolean or null
HRIS feature enabled.
profile_typeenum
Type of profile
slack_team_idstring or null
User's team slack id
slack_user_idstring or null
User's slack id
client_countrystring or nullformat: "^[A-Z]{2}$"=2 characters
Country code.
organization_iddouble
Unique identifier for the organization
organization_namestring or null
Name of the organization
contractor_countrystring or nullformat: "^[A-Z]{2}$"=2 characters
Country code.
hris_organization_user_idstring or nullformat: "uuid"
HRIS Organization User ID of the user. Used in products like Deel Engage.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error